Edit max interest per period

This request allows you to edit or set a max interest cap per period.

   Click here to learn more about this request

LoanPro's max interest per period functionality allows lenders to cap the amount of interest charged on a loan or lease account. Note the following when setting a max interest cap:

  • Max interest can be set for individual periods or the entire life of the loan. This request updates individual periods, but max interest charged for the life of the loan can be set when creating a loan or updating loan setup values .
  • The payload of this request includes a metadata object that holds period and interest values. Data within the metadata object is formatted as numbered key:value pairs wherein the number of pairs represents the term of the account. For example, if the loan or lease has a term of 24 periods, the metadata object will include 24 key:value pairs. These numbered keys start at 1, meaning the first period of an account is updated via the "1" key.
  • When using this setting, interest accrues at the normal rate until the cap is met. Once a cap is met, it stops accruing interest for the rest of the given period or life of the loan—depending on how the setting is configured.
  • Interest cap logic resets at the start of every period. If no interest cap exists for a specific period, interest will accrue uncapped.

The max interest cap per period is a distinct feature. It is different from the maxInterestAmount string configured in the loan setup values.

Database

For information regarding loan database tables, see the following article:

Database – Loan Table (loan_entity)

Database – Loan Setup (loan_setup_entity)

{
    "LoanPeriodMaxInterest": {
        "metadata": {
            "1": 8.20,
            "2": 6.93,
            "3": 6.84,
            "4": 5.82,
            "5": 5.16,
            "6": 4.19,
            "7": 3.48,
            "8": 2.62,
            "9": 1.69
        },
        "__id": 1,
        "__update": true
    }
}
{
    "LoanPeriodMaxInterest": {
        "metadata": {
            "11": 10.00
        },
        "__id": 1,
        "__update": true
    }
}
{
    "LoanPeriodMaxInterest": {
        "metadata": {
            "10": null
        },
        "__id": 1,
        "__update": true
    }
}
Path Params
int32
required

The ID of the loan.

Body Params
LoanPeriodMaxInterest
object

This object stores a set of numbered key-value pairs representing the term of the account and the maximum dollar amount of interest allowed to accrue during the term period.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json